@ECHO OFF
IF "%1"=="" GOTO SYNTAX:

ECHO ͻ
ECHO   Applying patch to upgrade Clarion Tool Chest 3005 to revision 3007    
ECHO                                                                         
ECHO ͼ

ECHO ͻ
ECHO  WARNING: The files listed below will be overwritten!                   
ECHO                                                                         
ECHO  If you have made changes to any of these files, and wish to preserve   
ECHO  those changes, Press CTRL-C NOW, and make backup copies.               
ECHO                                                                         
ECHO  LIST30.CLA, ORDERGUI.APP, SETRGB.PR                                    
ECHO  API.DOC, API_1.TXT, API_2.TXT, API_3.TXT, BOTH.INC, C_LIB.INC, CLA.DEF 
ECHO  CLA.H, CLA.ITF, CLA_LIB.INC, FILELIST.C, FILELIST.CLA, FILELIST.CPP    
ECHO  FILELIST.MOD, FILELIST.PAS, GLOB_VAR.INC, HLP.DEF, HLP.ITF, INITMOD.CLA
ECHO  LIST.DOC, LIST30.DOC, RGB.PR, SPECTRUM.PR                              
ECHO ͼ
pause
PATCH %1 TOOL627.RTP

IF ERRORLEVEL 37 GOTO ERRORFILE
IF ERRORLEVEL 36 GOTO BADVER
IF ERRORLEVEL 35 GOTO SYNTAX
IF ERRORLEVEL 34 GOTO NOTADIR
IF ERRORLEVEL 29 GOTO NOSPACE
IF ERRORLEVEL 24 GOTO PATCH_COMPLETE
IF ERRORLEVEL 16 GOTO PATCH_COMPLETE
IF ERRORLEVEL 15 GOTO BADVER_15
IF ERRORLEVEL 9 GOTO BAD_PATCHFILE
IF ERRORLEVEL 8 GOTO BAD_PATCHEXE
IF ERRORLEVEL 5 GOTO NOTADIR
IF ERRORLEVEL 4 GOTO NOTADIR
IF ERRORLEVEL 1 GOTO SYNTAX

ECHO *
ECHO *
GOTO PATCH_COMPLETE

:NOTADIR
ECHO ͻ
ECHO  CANNOT FIND A DIRECTORY NAMED:    " %1 "
ECHO ͼ
GOTO SYNTAX

:SYNTAX
ECHO ͻ
ECHO  This patch should be applied by UNZIPPING TOO7.ZIP          
ECHO  then typing:                                                
ECHO                                                              
ECHO   TOOL627 [DRIVE:\DIRECTORY]                                 
ECHO                                                              
ECHO   where [DRIVE:\DIRECTORY] is the name of the drive and path 
ECHO          where CDD 3.0 is installed                          
ECHO                                                              
ECHO                                                              
ECHO   example: if CDD 3.0 is installed in C:\Clarion3            
ECHO            then type TOOL627 C:\Clarion3                     
ECHO                                                              
ECHO ͼ
GOTO EXIT

:ERRORFILE
ECHO   An error occurred when Patch.exe was opening %1\Patch.err
ECHO ͻ
ECHO  The probable cause is some type of DOS error, retry the operation  
ECHO  after checking the disks integrity.                                
ECHO ͼ
GOTO EXIT


:PATCH_COMPLETE
IF NOT EXIST %1\PATCH.ERR GOTO noerrors

ECHO 
ECHO ͻ
ECHO  PATCH HAS ERRORs, press any key to view error file  
ECHO  after viewing the errors you can rerun the patch    
ECHO ͹
ECHO   The following errors can be ignored:               
ECHO                                                      
ECHO   ept0016: New file already exists                   
ECHO   ept0024: New file already exists                   
ECHO ͼ

EDITOR %1\PATCH.ERR

CLS
ECHO ͻ
ECHO  A patchkit install set is available from Clarion Customer Service    
ECHO  at 305-785-4555 for $10.00 plus shipping charges.                    
ECHO                                                                       
ECHO ͼ
pause
GOTO EXIT

:missing_file
ECHO ͻ
ECHO  Cannot locate patch file(s)                                
ECHO  This patch should be applied by UNZIPPING TOO7.ZIP         
ECHO  then typing:                                               
ECHO                  TOOL627 [DRIVE:\DIRECTORY]                 
ECHO ͼ
GOTO EXIT

:BADVER
ECHO ͻ
ECHO  error ept0036: Old file not found. However, a file of the same name    
ECHO           was found. No update done since file contents do not match.   
ECHO                                                                         
ECHO  PATCH was unable to locate an exact match for the original file to     
ECHO  be updated. However, PATCH was able to locate a file with the same     
ECHO  name as the original file. However, the file found did not have either 
ECHO  the same size or checksum as the actual original file that PATCH is    
ECHO  seeking in order to perform the update.                                
ECHO ͼ

GOTO EXIT
:BADVER_15
ECHO ͻ
ECHO                                                                         
ECHO  error ept0015: Old file does not exist                                 
ECHO                                                                         
ECHO  PATCH needs Bytes from the existing version of a file in order to build
ECHO  the new file. However, it was unable to locate the old file.           
ECHO ͼ
GOTO EXIT

:nospace
ECHO ͻ
ECHO                                                             
ECHO  There is insufficient disk space to apply the Patch,       
ECHO  please free up some space and reapply the Patch.           
ECHO                                                             
ECHO ͼ
GOTO EXIT

:BAD_PATCHFILE
ECHO ͻ
ECHO  error ept0009:                                             
ECHO  PATCH.EXE was unable to read the correct information       
ECHO  from the patch file.  Get a new copy and rerun the PATCH   
ECHO                                                             
ECHO ͼ
GOTO EXIT

:BAD_PATCHEXE
ECHO ͻ
ECHO  error ept0008: PATCH.EXE and Patch file are incompatible   
ECHO                                                             
ECHO  You need a new copy of PATCH.EXE to apply this patch.      
ECHO                                                             
ECHO ͼ
GOTO EXIT

:NOERRORS
ECHO  
ECHO ͻ
ECHO   Patch is complete, no errors encountered!      
ECHO ͼ
:EXIT
